# Module: Entity

Source:
  Entity.js

### Classes

Entity

### Members

#### <inner, readonly> name :string

  ##### Type:

  - string
  Source:
    Entity.js

#### <inner> properties :Object

  Object of all Properties, keyed by id (for quick access) These properties are actually created in the initialize() function.

  ##### Type:

  - Object
  Source:
    Entity.js

#### <inner> isInitialized :Boolean

  State: whether or not this entity has been completely initialized

  ##### Type:

  - Boolean
  Source:
    Entity.js

#### Search results